=== requirements.txt ===
setuptools
wheel
pymdown-extensions~=9.9
pygments~=2.14
mkdocs
mkdocs-material
mkdocs-section-index
mkdocs-include-markdown-plugin
mkdocs-macros-plugin
mkdocs-blogging-plugin
