=== debian/changelog ===
qcoro (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Update symbols files.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Feb 2023 23:16:33 +0100

qcoro (0.7.0-4) unstable; urgency=medium

  [ Rik Mills ]
  * debian/rules: Set option to disable building with LTO. Allows
    syncing direct to Ubuntu with current symbols files.

  [ Sandro Knauß ]
  * Update symbols against new Qt 6.4.2 (Closes: #1027505).

 -- Sandro Knauß <hefee@debian.org>  Wed, 04 Jan 2023 10:57:15 +0100

qcoro (0.7.0-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Upload a new source-only version so it can migrate to testing.

 -- Sandro Knauß <hefee@debian.org>  Wed, 30 Nov 2022 09:02:30 +0100

qcoro (0.7.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Build QML and QtQuick libs.
  * Add B-D to run QML and QtQuick tests.
  * Add new packages for QML and QtQuick.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Nov 2022 22:06:11 +0100

qcoro (0.7.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (0.7.0).
  * Remove upstream applied patches.
  * Don't build QML and QtQuick libs for the moment.
  * Update symbols for new version.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Nov 2022 16:03:17 +0100

qcoro (0.6.0-5) unstable; urgency=medium

  [ Sandro Knauß ]
  * d/watch: track versions on github correctly.

 -- Sandro Knauß <hefee@debian.org>  Sat, 24 Sep 2022 15:13:33 +0200
