=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 setuptools
 wheel
-pymdown-extensions~=9.9
-pygments~=2.14
+pymdown-extensions~=9.11
+pygments~=2.15
 mkdocs
 mkdocs-material
 mkdocs-section-index
