=== debian/changelog ===
qcoro (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Jun 2023 07:09:47 +0200
