=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 setuptools
 wheel
-pymdown-extensions~=9.11
-pygments~=2.15
+pymdown-extensions~=10.5
+pygments~=2.17
 mkdocs
 mkdocs-material
 mkdocs-section-index
