=== debian/changelog ===
qcoro (0.10.0-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:17 +1100

qcoro (0.10.0-1.1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:37:17 +0000

qcoro (0.10.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:56:11 +0000

qcoro (0.10.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062712

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:33:56 +0000

qcoro (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Dec 2023 22:35:12 +0100
