## qcoro 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18.4)
-set(qcoro_VERSION 0.10.0)
+set(qcoro_VERSION 0.11.0)
 set(qcoro_SOVERSION 0)
 project(qcoro LANGUAGES CXX VERSION ${qcoro_VERSION})
 
@@ -13,8 +13,16 @@
 # Options
 #-----------------------------------------------------------#
 
+
+# Allow QCORO_BUILD_TESTING to override BUILD_TESTING, but default to BUILD_TESTING if not set
+if (DEFINED QCORO_BUILD_TESTING)
+    set(BUILD_TESTING ${QCORO_BUILD_TESTING})
+endif()
+
 option(QCORO_BUILD_EXAMPLES "Build examples" ON)
 add_feature_info(Examples QCORO_BUILD_EXAMPLES "Build examples")
+option(QCORO_BUILD_TESTING "Build QCoro tests" ${BUILD_TESTING})
+add_feature_info(Testing QCORO_BUILD_TESTING "Build QCoro tests")
 option(QCORO_ENABLE_ASAN "Build with AddressSanitizer" OFF)
 add_feature_info(Asan QCORO_ENABLE_ASAN "Build with AddressSanitizer")
 option(QCORO_DISABLE_DEPRECATED_TASK_H "Disable deprecated task.h header" OFF)
@@ -58,7 +66,7 @@
     list(APPEND REQUIRED_QT_COMPONENTS WebSockets)
 endif()
 if (QCORO_WITH_QTQUICK)
-    list(APPEND REQUIRED_QT_COMPONENTS Quick QuickPrivate)
+    list(APPEND REQUIRED_QT_COMPONENTS Gui Quick QuickPrivate)
 endif()
 if (QCORO_WITH_QML)
     list(APPEND REQUIRED_QT_COMPONENTS Qml)
@@ -118,6 +126,17 @@
 else()
     # Only enable strict warnings in debug mode
     set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wextra -Werror -pedantic")
+
+    if (ANDROID)
+        include(DetectAndroidNDKVersion)
+        detectAndroidNDKVersion(NDK_VERSION)
+        if ("${NDK_VERSION}" VERSION_LESS 26)
+            # Android NDK < 26 ships mismatching versions of clang and libc++ - libc++ is older and doesn't have coroutine support
+            # which forces us to use coroutines from std::experimental. But the clang itself is newer and emits an error about
+            # std::experimental coroutines being deprecated in LLVM 14. This option is needed to suppress the error.
+            add_compile_options(-Wno-error=deprecated-experimental-coroutine)
+        endif()
+    endif()
 endif()
 
 if (QCORO_ENABLE_ASAN)
@@ -130,12 +149,7 @@
             set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /fsanitize=address")
         endif()
     else()
-        if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS_EQUAL "11.0.0")
-            # I tried my best, but there are crashes when combining asan and coroutines.
-            message(WARNING "ASAN not supported for Clang<=11.0")
-        else()
-            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer -fsanitize-recover=address")
-        endif()
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer -fsanitize-recover=address")
     endif()
 endif()
 
@@ -187,7 +201,7 @@
 if (QCORO_BUILD_EXAMPLES)
     add_subdirectory(examples)
 endif()
-if (BUILD_TESTING)
+if (QCORO_BUILD_TESTING)
     add_subdirectory(tests)
 endif()
