=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 add_subdirectory(iodevice)
 add_subdirectory(timer)
 add_subdirectory(chained)
+add_subdirectory(background-task)
