=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -110,10 +110,12 @@
 qcoro_add_test(qcorosignal)
 qcoro_add_test(qcorothread)
 qcoro_add_test(qcorotask)
+qcoro_add_test(qcorolazytask)
 qcoro_add_test(testconstraints)
 qcoro_add_test(qfuture LINK_LIBRARIES Qt${QT_VERSION_MAJOR}::Concurrent)
 qcoro_add_test(qcorogenerator)
 qcoro_add_test(qcoroasyncgenerator)
+qcoro_add_test(qcorowaitfor)
 
 if (QCORO_WITH_QTDBUS)
     qcoro_add_dbus_test(qdbuspendingcall)
