=== debian/changelog ===
qcoro (0.11.0-2~build5) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:11:51 -0500

qcoro (0.11.0-2~build4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:13:49 -0600

qcoro (0.11.0-2~build3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:59:49 -0600

qcoro (0.11.0-2~build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:59:48 -0600

qcoro (0.11.0-2~build1) plucky; urgency=medium

  [ Pino Toscano ]
  * Run xvfb-run with -a, to avoid potential collisions.

  [ Simon Quigley ]
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 02 Dec 2024 03:15:32 -0600

qcoro (0.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Use correct package name for qt6-websockets-dev in the dependencies of
    qcoro-qt6-dev.

  [ Pino Toscano ]
  * Update references in debian/upstream/metadata, debian/watch, and
    debian/copyright to the new https://github.com/qcoro/qcoro upstream
    repository.
  * Update Homepage to https://qcoro.dev.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Nov 2024 06:00:55 +0100

qcoro (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files.
  * Update lintian overrides: remove no more overrides for
    needed package-name-doesnt-match-sonames.

 -- Pino Toscano <pino@debian.org>  Sat, 03 Aug 2024 06:12:09 +0200

qcoro (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Jun 2024 20:40:29 +0200

qcoro (0.10.0-2~exp1) experimental; urgency=medium

  * Team upload.

  [ Gary Wang ]
  * Catch up qt 6 package name changes

  [ Aurélien COUDERC ]
  * Rebuild against Qt6 version 6.6.2.
  * Update symbols from build for 0.10.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 May 2024 16:29:41 +0200
