=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: qcoro
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), cmake (>= 3.18.4~),
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                libqt5websockets5-dev (>= 5.15.0~),
-               libqt6opengl6-dev,
-               libqt6websockets6-dev (>= 6.2.0~),
+               qt6-websockets-dev (>= 6.2.0~),
                pkg-kde-tools,
                qml-module-qtquick-controls <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
@@ -24,10 +22,10 @@
                qtdeclarative5-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qcoro
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qcoro.git
-Homepage: https://qcoro.dvratil.cz/
+Homepage: https://qcoro.dev
 Rules-Requires-Root: no
 
 Package: libqcoro5core0t64
@@ -226,8 +224,8 @@
          libqcoro6qml0t64 (= ${binary:Version}),
          libqcoro6quick0t64 (= ${binary:Version}),
          libqcoro6websockets0t64 (= ${binary:Version}),
-         libqt6websockets6-dev (>= 6.2.0~),
          qt6-base-dev (>= 6.2.0~),
+         qt6-websockets-dev (>= 6.2.0~),
          ${misc:Depends}
 Recommends: qcoro-doc
 Section: libdevel
